%define upstream_name    MetaCPAN-Client
%define upstream_version 2.033000

%bcond_with network_tests
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Distribution data object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MetaCPAN/%{upstream_name}-%{upstream_version}.tar.gz

%if %{with network_tests}

%endif

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.56.0
BuildRequires: perl(IO::Socket::SSL) >= 1.420.0
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs) >= 0.2.5
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a hopefully-complete API-compliant client to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i s/7.11/7.04/ Makefile.PL 

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%if !%{with network_tests}
mv t/api/[a-z]*.t t/result_custom.t t/scroll.t ./
%endif
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.33.0-2.mga10
+ Revision: 2234353
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 2.33.0-1.mga10
+ Revision: 2141364
- update to 2.033000

* Wed May 22 2024 tv <tv> 2.32.0-1.mga10
+ Revision: 2065938
- update to 2.032000

* Wed Nov 01 2023 tv <tv> 2.31.0-1.mga10
+ Revision: 2003270
- update to 2.031000

* Sat Aug 27 2022 tv <tv> 2.30.0-1.mga9
+ Revision: 1881121
- update to 2.030000

* Wed Mar 23 2022 umeabot <umeabot> 2.29.0-2.mga9
+ Revision: 1820442
- Mageia 9 Mass Rebuild

* Tue Dec 22 2020 tv <tv> 2.29.0-1.mga8
+ Revision: 1662711
- update to 2.029000

* Wed Aug 26 2020 tv <tv> 2.28.0-1.mga8
+ Revision: 1619066
- update to 2.028000

* Wed Aug 12 2020 tv <tv> 2.27.0-1.mga8
+ Revision: 1613482
- update to 2.027000

* Sat Feb 15 2020 umeabot <umeabot> 2.26.0-2.mga8
+ Revision: 1523883
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 tv <tv> 2.26.0-1.mga7
+ Revision: 1377467
- update to 2.026000

* Thu Sep 20 2018 umeabot <umeabot> 2.25.0-2.mga7
+ Revision: 1284769
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 tv <tv> 2.25.0-1.mga7
+ Revision: 1235349
- adjust network test list
- update to 2.025000
- update to 2.024000
- update to 2.023000
- update to 2.022000

* Sun Nov 19 2017 tv <tv> 2.21.0-1.mga7
+ Revision: 1177715
- update to 2.021000

* Fri Nov 17 2017 tv <tv> 2.19.0-1.mga7
+ Revision: 1177622
- update to 2.019000

* Tue Oct 17 2017 tv <tv> 2.18.0-1.mga7
+ Revision: 1172360
- update to 2.018000

* Wed Oct 04 2017 tv <tv> 2.17.0-3.mga7
+ Revision: 1168801
- disablet network tests

* Sun Jul 30 2017 sander85 <sander85> 2.17.0-2.mga7
+ Revision: 1132907
- Try to get rid of weird deps on Search::Elasticsearch
+ shlomif <shlomif>
- update to 2.017000

* Thu Jun 15 2017 pterjan <pterjan> 2.16.0-1.mga6
+ Revision: 1107762
- Add missing BuildRequires
- Update to 2.16 as v0 API was turned down

* Sun Jun 19 2016 pterjan <pterjan> 1.13.0-3.mga6
+ Revision: 1029883
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.13.0-2.mga6
+ Revision: 968476
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 1.13.0-1.mga6
+ Revision: 852499
- update to 1.013000

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 740575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 685397
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.6.0-1.mga5
+ Revision: 640005
- update to 1.006000

* Fri Jun 06 2014 jquelin <jquelin> 1.4.1-1.mga5
+ Revision: 634152
- imported package perl-MetaCPAN-Client


* Fri Jun 06 2014 cpan2dist 1.004001-1mga
- initial mageia release, generated with cpan2dist
